libfreehand::FHRadialFill Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libfreehand::FHRadialFill Struct Reference

`#include <FHTypes.h>`

## Public Member Functions
| FHRadialFill ()

## Public Attributes
unsigned | m_color1Id
unsigned | m_color2Id
double | m_cx
double | m_cy
unsigned | m_multiColorListId

## Constructor & Destructor Documentation

libfreehand::FHRadialFill::FHRadialFill | ( |  | ) |
| inline

## Member Data Documentation

unsigned libfreehand::FHRadialFill::m_color1Id

Referenced by libfreehand::FHCollector::_appendRadialFill(), libfreehand::FHParser::readContourFill(), libfreehand::FHParser::readNewContourFill(), libfreehand::FHParser::readNewRadialFill(), libfreehand::FHParser::readRadialFill(), and libfreehand::FHParser::readRadialFillX().

unsigned libfreehand::FHRadialFill::m_color2Id

Referenced by libfreehand::FHCollector::_appendRadialFill(), libfreehand::FHParser::readContourFill(), libfreehand::FHParser::readNewContourFill(), libfreehand::FHParser::readNewRadialFill(), libfreehand::FHParser::readRadialFill(), and libfreehand::FHParser::readRadialFillX().

double libfreehand::FHRadialFill::m_cx

Referenced by libfreehand::FHCollector::_appendRadialFill(), libfreehand::FHParser::readContourFill(), libfreehand::FHParser::readNewContourFill(), libfreehand::FHParser::readNewRadialFill(), libfreehand::FHParser::readRadialFill(), and libfreehand::FHParser::readRadialFillX().

double libfreehand::FHRadialFill::m_cy

Referenced by libfreehand::FHCollector::_appendRadialFill(), libfreehand::FHParser::readContourFill(), libfreehand::FHParser::readNewContourFill(), libfreehand::FHParser::readNewRadialFill(), libfreehand::FHParser::readRadialFill(), and libfreehand::FHParser::readRadialFillX().

unsigned libfreehand::FHRadialFill::m_multiColorListId

Referenced by libfreehand::FHCollector::_appendRadialFill(), libfreehand::FHParser::readContourFill(), libfreehand::FHParser::readNewContourFill(), libfreehand::FHParser::readNewRadialFill(), and libfreehand::FHParser::readRadialFillX().

The documentation for this struct was generated from the following file:

- FHTypes.h